﻿
using Syncfusion.Windows.Diagram;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Context_menu_140468
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {    
        public MainWindow()
        {
            InitializeComponent();
            Node n1 = new Node();
            n1.OffsetX = 100;
            n1.OffsetY = 100;
            n1.Width = 100;
            n1.Height = 50;
            n1.Label = "Node1";
            n1.LabelForeground = Brushes.White;
            n1.Shape = Shapes.Rectangle;
            n1.CustomPathStyle = this.Resources["shapestyle"] as Style;

            Node n2 = new Node();
            n2.OffsetX = 300;
            n2.OffsetY = 100;
            n2.Width = 100;
            n2.Height = 50;
            n2.Label = "Node2";
            n2.LabelForeground = Brushes.White;
            n2.Shape = Shapes.Rectangle;
            n2.CustomPathStyle = this.Resources["shapestyle"] as Style;

            dview.NodeContextMenu = new ContextMenu();
         
            MenuItem item1 = new MenuItem();
            item1.Header = "Option1";
            MenuItem item2 = new MenuItem();
            item2.Header = "ADD";
            MenuItem item3 = new MenuItem();
            item3.Header = "Option3";
            dview.NodeContextMenu.Items.Add(item1);
            dview.NodeContextMenu.Items.Add(item2);
            dview.NodeContextMenu.Items.Add(item3);

            dmodel.Nodes.Add(n1);
            dmodel.Nodes.Add(n2);

            LineConnector line = new LineConnector();
            line.HeadNode = n1;
            line.TailNode = n2;
            dmodel.Connections.Add(line);
            dview.LineConnectorContextMenu= new ContextMenu { Visibility = Visibility.Collapsed };
        }
    }   
}
